Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
tagIEVENTSINKOBJ Struct Reference

## Data Fields
const IEventSinkVtbl * | lpVtbl
DWORD | m_cRef
IID | m_iid
long | m_event_id
ITypeInfo * | pTypeInfo

## Detailed Description

Definition at line 52 of file win32ole_event.c.

## Field Documentation

## ◆ lpVtbl

const IEventSinkVtbl* tagIEVENTSINKOBJ::lpVtbl

Definition at line 53 of file win32ole_event.c.

Referenced by EVENTSINK_Constructor().

## ◆ m_cRef

DWORD tagIEVENTSINKOBJ::m_cRef

Definition at line 54 of file win32ole_event.c.

Referenced by EVENTSINK_AddRef(), and EVENTSINK_Constructor().

## ◆ m_event_id

long tagIEVENTSINKOBJ::m_event_id

Definition at line 56 of file win32ole_event.c.

Referenced by EVENTSINK_Constructor().

## ◆ m_iid

IID tagIEVENTSINKOBJ::m_iid

Definition at line 55 of file win32ole_event.c.

## ◆ pTypeInfo

ITypeInfo* tagIEVENTSINKOBJ::pTypeInfo

Definition at line 57 of file win32ole_event.c.

Referenced by EVENTSINK_Constructor(), EVENTSINK_Destructor(), and EVENTSINK_GetIDsOfNames().

The documentation for this struct was generated from the following file:

- ext/win32ole/win32ole_event.c